byte etatDEL13 = HIGH;
byte etatDEL12 = HIGH; 
unsigned long dateDernierChangement13 = 0;
unsigned long dateDernierChangement12 = 0;

void setup() {
  pinMode(13, OUTPUT);
  pinMode(12, OUTPUT);
}

void flashDEL13()
{
  unsigned long dateCourante = millis();
  unsigned long intervalle = dateCourante - dateDernierChangement13;

  if (etatDEL13 == HIGH && intervalle > 20) {
    // extinction de la DEL car elle est allumee (HIGH) et 20ms se sont ecoules
    etatDEL13 = LOW;
    digitalWrite(13, etatDEL13);
    dateDernierChangement13 = dateCourante;
  }
  else if (etatDEL13 == LOW && intervalle > 980) {
    // allumage de la DEL car elle est eteinte (LOW) et 980ms se sont ecoules
    etatDEL13 = HIGH;
    digitalWrite(13, etatDEL13);
    dateDernierChangement13 = dateCourante;
  }
}

void flashDEL12()
{
  unsigned long dateCourante = millis();
  unsigned long intervalle = dateCourante - dateDernierChangement12;

  if (etatDEL12 == HIGH && intervalle > 100) {
    // extinction de la DEL car elle est allumee (HIGH) et 100ms se sont ecoules
    etatDEL12 = LOW;
    digitalWrite(12, etatDEL12);
    dateDernierChangement12 = dateCourante;
  }
  else if (etatDEL12 == LOW && intervalle > 200) {
    // allumage de la DEL car elle est eteinte (LOW) et 200ms se sont ecoules
    etatDEL12 = HIGH;
    digitalWrite(12, etatDEL12);
    dateDernierChangement12 = dateCourante;
  }
}

void loop()
{
  flashDEL13();
  flashDEL12();
}

